Foreman - Bug #22139

Atomic Host 7.4.2 deployed from Foreman cannot be upgraded out of the box
01/03/2018 03:58 PM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Templates

Target version:

Difficulty: Fixed in Releases: 1.20.0
Triaged: No Found in Releases:

Bugzilla link: 1514013 Red Hat JIRA:

Pull request: https://github.com/theforeman/communit

y-templates/pull/479

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1514013

Description of problem:
When deploying an Atomic Host machine (at least version 7.4.2) from Satellite, the ostree setup is wrong. This means 'atomic host
upgrade' throws an error.

Version-Release number of selected component (if applicable):
Satellite 6.2.12, Atomic Host 7.4.2.

How reproducible:

Steps to Reproduce:

1. Install Satellite 6.2.12, sync in the current version of Atomic Host kickstart (which is 7.4.2)
2. install Atomic Host on new machine

3. Log into the new machine, run 'atomic host upgrade'

Actual results:
Error is thrown:
error: /install/ostree: opendir(/install/ostree): No such file or directory

Expected results:
Machine is upgraded without issues.

Additional info:
Problem seems to stem from a change in the way subscription-manager handles ostree setup during deployment, in combination
with the kickstart template in Satellite 6.2.12.

Workaround:
As a workaround, it's possible to run the following on the new machine to re-enable upgrades:

ostree remote delete rhel-atomic-host
ostree admin set-origin rhel-atomic-host-ostree https://very long_satellite_url rhel-atomic-host/7/x86_64/standard

Associated revisions

Revision 0f17c81a - 10/08/2018 04:47 PM - Lukas Zapletal

Fixes #22139 - resolved atomic ostree conflict

History

#1 - 01/03/2018 07:10 PM - Eric Helms

- Subject changed from Atomic Host 7.4.2 deployed from Satellite 6.2.12 cannot be upgraded out of the box
to Atomic Host 7.4.2 deployed from Satellite 6.2.12 cannot be upgraded out of the box

- translation missing: en.field_release set to 284
#2 - 03/28/2018 06:21 PM - John Mitsch

- translation missing: en.field_release changed from 284 to 352

#3 - 05/18/2018 10:37 AM - Lukas Zapletal
- Project changed from Katello to Foreman

- Category set to Templates

#4 - 06/04/2018 12:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/community-templates/pull/479 added

#5 - 06/04/2018 01:02 PM - Daniel Lobato Garcia

- Subject changed from Atomic Host 7.4.2 deployed from Satellite 6.2.12 cannot be upgraded out of the box to Atomic Host 7.4.2 deployed from

Foreman cannot be upgraded out of the box

#6 - 07/23/2018 11:31 AM - Tomer Brisker
- Target version deleted (Katello 3.6.1)
- Triaged set to No

#7 - 10/08/2018 04:47 PM - Anonymous
- Fixed in Releases 1.20.0 added

#8 - 10/08/2018 05:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|0f17c81a471f459b754a6e226c94868248ede98c.
